# DataExchange
TKXSBase
Transfer

# Transfer_Binder Class Reference

A Binder is an auxiliary object to Map the Result of the
Transfer of a given Object : it records the Result of the
Unitary Transfer (Resulting Object), status of progress and
error (if any) of the Process
The class Binder itself makes no definition for the Result :
it is defined by sub-classes : it can be either Simple (and
has to be typed : see generic class SimpleBinder) or Multiple
(see class MultipleBinder).
In principle, for a Transfer in progress, Result cannot be
accessed : this would cause an exception raising.
This is controlled by the value if StatusResult : if it is
"Used", the Result cannot be changed. This status is normally
controlled by TransferProcess but can be directly (see method
SetAlreadyUsed)
Checks can be completed by a record of cases, as string which
can be used as codes, but not to be printed
In addition to the Result, a Binder can bring a list of
Attributes, which are additional data, each of them has a name
.

`#include <Transfer_Binder.hxx>`

Inheritance diagram for Transfer_Binder:

[legend]

## Public Member Functions

Standard_EXPORT void | Merge (const Handle(Transfer_Binder)&other)
| Merges basic data (Check, ExecStatus) from another Binder but keeps its result. Used when a binder is replaced by another one, this allows to keep messages .
virtual Standard_EXPORT Standard_Boolean | IsMultiple () const
| Returns True if a Binder has several results, either by itself or because it has next results Can be defined by sub-classes. .
virtual Standard_EXPORT Handle_Standard_Type | ResultType () const =0
| Returns the Type which characterizes the Result (if known) .
virtual Standard_EXPORT Standard_CString | ResultTypeName () const =0
| Returns the Name of the Type which characterizes the Result Can be returned even if ResultType itself is unknown .
Standard_EXPORT void | AddResult (const Handle(Transfer_Binder)&next)
| Adds a next result (at the end of the list) Remark : this information is not processed by Merge .
Standard_EXPORT Handle_Transfer_Binder | NextResult () const
| Returns the next result, Null if none .
Standard_EXPORT Standard_Boolean | HasResult () const
| Returns True if a Result is available (StatusResult = Defined) A Unique Result will be gotten by Result (which must be defined in each sub-class according to result type) For a Multiple Result, see class MultipleBinder For other case, specific access has to be forecast .
Standard_EXPORT void | SetAlreadyUsed ()
| Declares that result is now used by another one, it means that it cannot be modified (by Rebind) .
Standard_EXPORT Transfer_StatusResult | Status () const
| Returns status, which can be Initial (not yet done), Made (a result is recorded, not yet shared), Used (it is shared and cannot be modified) .
Standard_EXPORT Transfer_StatusExec | StatusExec () const
| Returns execution status .
Standard_EXPORT void | SetStatusExec (const Transfer_StatusExec stat)
| Modifies execution status; called by TransferProcess only (for StatusError, rather use SetError, below) .
Standard_EXPORT void | AddFail (const Standard_CString mess, const Standard_CString orig="")
| Used to declare an individual transfer as beeing erroneous (Status is set to Void, StatusExec is set to Error, <errmess> is added to Check's list of Fails) It is possible to record several messages of error It has same effect for TransferProcess as raising an exception during the operation of Transfer, except the Transfer tries to continue (as if ErrorHandle had been set) .
Standard_EXPORT void | AddWarning (const Standard_CString mess, const Standard_CString orig="")
| Used to attach a Warning Message to an individual Transfer It has no effect on the Status .
Standard_EXPORT const Handle_Interface_Check | Check () const
| Returns Check which stores Fail messages Note that no Entity is associated in this Check .
Standard_EXPORT Handle_Interface_Check | CCheck ()
| Returns Check which stores Fail messages, in order to modify it (adding messages, or replacing it) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Transfer_Binder ()
| Sets fields at initial values .
Standard_EXPORT void | SetResultPresent ()
| Used to declare that a result is recorded for an individual transfer (works by setting StatusResult to Defined) This Method is to be called once a Result is really recorded (see sub-classes of Binder, especially SimpleBinder) : it is senseless if called isolately .

## Private Member Functions

Standard_EXPORT void | CutResult (const Handle(Transfer_Binder)&next)
| Called by AddResult, to keep unicity of each item in the list .

## Private Attributes

Transfer_StatusResult | thestatus
Transfer_StatusExec | theexecst
Handle_Interface_Check | thecheck
Handle_Transfer_Binder | thenextr

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_Binder::Transfer_Binder | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void Transfer_Binder::AddFail | ( | const Standard_CString | mess,
|  | const Standard_CString | orig = `""`
| ) |

Standard_EXPORT void Transfer_Binder::AddResult | ( | const Handle(Transfer_Binder)& | next | ) |

Standard_EXPORT void Transfer_Binder::AddWarning | ( | const Standard_CString | mess,
|  | const Standard_CString | orig = `""`
| ) |

Standard_EXPORT Handle_Interface_Check Transfer_Binder::CCheck | ( |  | ) |

Standard_EXPORT const Handle_Interface_Check Transfer_Binder::Check | ( |  | ) | const

Standard_EXPORT void Transfer_Binder::CutResult | ( | const Handle(Transfer_Binder)& | next | ) | `[private]`

Standard_EXPORT const Transfer_Binder::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in Transfer_BinderOfTransientInteger, Transfer_MultipleBinder, Transfer_SimpleBinderOfTransient, Transfer_TransientListBinder, Transfer_VoidBinder, TransferBRep_BinderOfShape, TransferBRep_ShapeBinder, and TransferBRep_ShapeListBinder.

Standard_EXPORT Standard_Boolean Transfer_Binder::HasResult | ( |  | ) | const

virtual Standard_EXPORT Standard_Boolean Transfer_Binder::IsMultiple | ( |  | ) | const`[virtual]`

| Reimplemented in Transfer_MultipleBinder, Transfer_TransientListBinder, and TransferBRep_ShapeListBinder.

Standard_EXPORT void Transfer_Binder::Merge | ( | const Handle(Transfer_Binder)& | other | ) |

Standard_EXPORT Handle_Transfer_Binder Transfer_Binder::NextResult | ( |  | ) | const

virtual Standard_EXPORT Handle_Standard_Type Transfer_Binder::ResultType | ( |  | ) | const`[pure virtual]`

| Implemented in Transfer_MultipleBinder, Transfer_SimpleBinderOfTransient, Transfer_TransientListBinder, Transfer_VoidBinder, TransferBRep_BinderOfShape, and TransferBRep_ShapeListBinder.

virtual Standard_EXPORT Standard_CString Transfer_Binder::ResultTypeName | ( |  | ) | const`[pure virtual]`

| Implemented in Transfer_MultipleBinder, Transfer_SimpleBinderOfTransient, Transfer_TransientListBinder, Transfer_VoidBinder, TransferBRep_BinderOfShape, and TransferBRep_ShapeListBinder.

Standard_EXPORT void Transfer_Binder::SetAlreadyUsed | ( |  | ) |

Standard_EXPORT void Transfer_Binder::SetResultPresent | ( |  | ) | `[protected]`

Standard_EXPORT void Transfer_Binder::SetStatusExec | ( | const Transfer_StatusExec | stat | ) |

Standard_EXPORT Transfer_StatusResult Transfer_Binder::Status | ( |  | ) | const

Standard_EXPORT Transfer_StatusExec Transfer_Binder::StatusExec | ( |  | ) | const

## Field Documentation

Handle_Interface_Check Transfer_Binder::thecheck `[private]`

Transfer_StatusExec Transfer_Binder::theexecst `[private]`

Handle_Transfer_Binder Transfer_Binder::thenextr `[private]`

Transfer_StatusResult Transfer_Binder::thestatus `[private]`

The documentation for this class was generated from the following file:

- Transfer_Binder.hxx